sc::SCDestructiveElementProduct(3)

NAME
sc::SCDestructiveElementProduct -

SYNOPSIS

Inherits sc::SCElementOp2.

  Public Member Functions
SCDestructiveElementProduct (StateIn &)
int has_side_effects ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void process (SCMatrixBlockIter &, SCMatrixBlockIter &)

  Additional Inherited Members

Member Function Documentation

  void sc::SCDestructiveElementProduct::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.